DOM Level 3 API: Interface DOMASWriter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface DOMASWriter

All Superinterfaces:
  org.w3c.dom.ls.LSSerializer

Deprecated. A Abstract Schema serialization interface.

DOMASWriters provides an API for serializing Abstract Schemas out in the form of a source Abstract Schema. The Abstract Schema is written to an output stream, the type of which depends on the specific language bindings in use.

DOMASWriter is a generic Abstract Schema serialization interface. It can be applied to both an internal Abstract Schema and/or an external Abstract Schema. DOMASWriter is applied to serialize a single Abstract Schema. Serializing a document with an active Internal Abstract Schema will serialize this internal Abstract Schema with the document as it is part of the Document (see `LSSerializer`).

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

public interface DOMASWriter
extends org.w3c.dom.ls.LSSerializer

Method Summary
`void` | `writeASModel(java.io.OutputStream destination, ASModel model)` Deprecated. Write out the specified Abstract Schema to the specified destination.

Methods inherited from interface org.w3c.dom.ls.LSSerializer
`getDomConfig, getFilter, getNewLine, setFilter, setNewLine, write, writeToString, writeToURI`

Method Detail

### writeASModel

    public void writeASModel(java.io.OutputStream destination,
                             ASModel model)
                      throws java.lang.Exception

  Deprecated.
  Write out the specified Abstract Schema to the specified destination. Does it write a DTD or an XML Schema (or something else)? Is it possible to use this method to convert a DTD to an XML Schema?
  Parameters:
    `destination` - The destination for the data to be written.
    `model` - The Abstract Schema to serialize.
  Throws:
    `DOMSystemException` - This exception will be raised in response to any sort of IO or system error that occurs while writing to the destination. It may wrap an underlying system exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.